org.apache.nutch.api.resources

## Class ConfigResource

- java.lang.Object
- - org.apache.nutch.api.resources.AbstractResource
  - - org.apache.nutch.api.resources.ConfigResource

-     public class ConfigResource
      extends AbstractResource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT`

    - ### Fields inherited from class org.apache.nutch.api.resources.AbstractResource

      `activeConfId, configManager, jobManager, server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createConfig(NutchConfig newConfig)`
    `void` | `deleteConfig(java.lang.String configId)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfig(java.lang.String configId)`
    `java.util.Set<java.lang.String>` | `getConfigs()`
    `java.lang.String` | `getProperty(java.lang.String configId, java.lang.String propertyId)`
    `javax.ws.rs.core.Response` | `update(java.lang.String config, java.lang.String property, java.lang.String value)`

    - ### Methods inherited from class org.apache.nutch.api.resources.AbstractResource

      `throwBadRequestException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final java.lang.String DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigResource

          public ConfigResource()

  - ### Method Detail

    - #### getConfigs

          public java.util.Set<java.lang.String> getConfigs()

    - #### getConfig

          public java.util.Map<java.lang.String,java.lang.String> getConfig(java.lang.String configId)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String configId,
                                              java.lang.String propertyId)

    - #### deleteConfig

          public void deleteConfig(java.lang.String configId)

    - #### createConfig

          public java.lang.String createConfig(NutchConfig newConfig)

    - #### update

          public javax.ws.rs.core.Response update(java.lang.String config,
                                                  java.lang.String property,
                                                  java.lang.String value)

Copyright © 2019 The Apache Software Foundation